uuid: c8de0103-8b6c-4933-86bd-d29767988302
langcode: en
status: true
dependencies:
  config:
    - field.storage.node.field_tags
    - field.storage.node.field_summary
    - field.storage.node.field_article_type
    - field.storage.node.field_authors
    - field.storage.node.field_topics
    - search_api.server.database
    - core.entity_view_mode.node.search_index
  module:
    - user
    - search_api
    - node
_core:
  default_config_hash: mS4DxDqwZoIgBPzHPrV8CmozPYyECJGh1f0bgN4rlzs
id: article
name: Article
description: 'An index for the article content type.'
read_only: false
field_settings:
  rendered_item:
    label: 'Rendered HTML output'
    property_path: rendered_item
    type: text
    configuration:
      roles:
        anonymous: anonymous
      view_mode:
        'entity:node':
          article: search_index
  node_grants:
    label: 'Node access information'
    property_path: search_api_node_grants
    type: string
    indexed_locked: true
    type_locked: true
    hidden: true
  title:
    label: Title
    datasource_id: 'entity:node'
    property_path: title
    type: text
    boost: 8.0
  field_tags:
    label: Tags
    datasource_id: 'entity:node'
    property_path: field_tags
    type: integer
    dependencies:
      config:
        - field.storage.node.field_tags
  created:
    label: 'Authored on'
    datasource_id: 'entity:node'
    property_path: created
    type: date
  uid:
    label: 'Authored by'
    datasource_id: 'entity:node'
    property_path: uid
    type: integer
    indexed_locked: true
    type_locked: true
  changed:
    label: Changed
    datasource_id: 'entity:node'
    property_path: changed
    type: date
  field_summary:
    label: Summary
    datasource_id: 'entity:node'
    property_path: field_summary
    type: text
    dependencies:
      config:
        - field.storage.node.field_summary
  status:
    label: Published
    datasource_id: 'entity:node'
    property_path: status
    type: boolean
    indexed_locked: true
    type_locked: true
  name:
    label: 'Authored by » User » Name'
    datasource_id: 'entity:node'
    property_path: 'uid:entity:name'
    type: string
    dependencies:
      module:
        - user
  sticky:
    label: 'Sticky at top of lists'
    datasource_id: 'entity:node'
    property_path: sticky
    type: boolean
  promote:
    label: 'Promoted to front page'
    datasource_id: 'entity:node'
    property_path: promote
    type: boolean
  field_article_type:
    label: 'Article type'
    datasource_id: 'entity:node'
    property_path: field_article_type
    type: integer
    dependencies:
      config:
        - field.storage.node.field_article_type
  field_authors:
    label: Authors
    datasource_id: 'entity:node'
    property_path: field_authors
    type: integer
    dependencies:
      config:
        - field.storage.node.field_authors
  field_topics:
    label: Topics
    datasource_id: 'entity:node'
    property_path: field_topics
    type: integer
    dependencies:
      config:
        - field.storage.node.field_topics
datasource_settings:
  'entity:node':
    bundles:
      default: false
      selected:
        - article
    languages:
      default: true
      selected: {  }
processor_settings:
  rendered_item: {  }
  add_url: {  }
  aggregated_field: {  }
  entity_status: {  }
  tokenizer:
    all_fields: false
    fields:
      - rendered_item
      - title
      - field_summary
    spaces: ''
    overlap_cjk: 1
    minimum_word_size: '3'
    weights:
      preprocess_index: -44
      preprocess_query: -46
  stopwords:
    all_fields: false
    fields:
      - rendered_item
      - title
      - field_summary
    stopwords:
      - a
      - an
      - and
      - are
      - as
      - at
      - be
      - but
      - by
      - for
      - if
      - in
      - into
      - is
      - it
      - 'no'
      - not
      - of
      - 'on'
      - or
      - s
      - such
      - t
      - that
      - the
      - their
      - then
      - there
      - these
      - they
      - this
      - to
      - was
      - will
      - with
    weights:
      preprocess_index: -48
      preprocess_query: -50
  ignorecase:
    all_fields: false
    fields:
      - rendered_item
      - title
      - field_summary
      - name
    weights:
      preprocess_index: -49
      preprocess_query: -49
  transliteration:
    all_fields: false
    fields:
      - rendered_item
      - title
      - field_summary
      - name
    weights:
      preprocess_index: -47
      preprocess_query: -48
  content_access:
    weights:
      preprocess_query: -45
  html_filter:
    all_fields: false
    fields:
      - rendered_item
      - field_summary
    title: true
    alt: true
    tags:
      h1: 5
      h2: 3
      h3: 2
      strong: 2
      b: 2
    weights:
      preprocess_index: -46
      preprocess_query: -47
tracker_settings:
  default:
    indexing_order: fifo
options:
  index_directly: true
  cron_limit: 50
  track_changes_in_references: true
server: database
